DOVEADM-SERVICE-STATUS(1)

NAME
doveadm-service-status - Show information about dovecot services

SYNOPSIS

doveadm [GLOBAL OPTIONS] service status [service [...]]

DESCRIPTION

doveadm service status produces a table with a line for each service, containing the following details:

name

        the name of the service

process_count

        the number of processes actually running for the service

process_avail

        the number of additional processes that can be spawned for the service

process_limit

        the maximum number of processes that can be active for the service

client_limit

        the maximum number of connections that the service will handle simultaneously

throttle_secs

        seconds to wait before launching another process when processes are dying unexpectedly early for the service

exit_failure_last

        timestamp when the last process was terminated abnormally for the service

exit_failures_in_sec

        number of abnormally terminated processes for the service in the last second

last_drop_warning

        timestamp when the last time a "dropping client connections" warning was logged

listen_pending

        if the master process is queuing connections that need to be dispatched

listening

        if service is listening

doveadm_stop

        if the service has been stopped by doveadm(1)

process_total

        the total number of processes forked for the service since the service start.

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-f formatter

        Specifies the formatter for formatting the output. Supported formatters are:

        flow

            prints each line with key=value pairs.

json

    prints a JSON array of JSON objects.

pager

    prints each key: value pair on its own line and separates records with form feed character (^L).

tab

    prints a table header followed by tab separated value lines.

table

    prints a table header followed by adjusted value lines.

ARGUMENTS

service (optional)

        Filters the list according to the specified service or services. By default, all dovecot services are listed.

EXAMPLES

    doveadm service status

    name: imap-login
    process_count: 0
    process_avail: 0
    process_limit: 1
    client_limit: 1000
    throttle_secs: 0
    exit_failure_last: 0
    exit_failures_in_sec: 0
    last_drop_warning: 0
    listen_pending: n
    listening: y
    doveadm_stop: n
    process_total: 0

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm(1), doveadm-process-status(1)